/**
 * 
 */
package com.pcloud.common.core.constant;

/**
 * @描述：
 * 
 * @作者：songx
 * @创建时间：2017年2月27日,下午4:29:06 @版本：1.0
 */
public enum ConvertEnum {

	/**
	 * 应用转码
	 */
	APP("APP", "convert2App"),

	/**
	 * 资源中心转码
	 */
	RESOURCE("RESOURCE", "convert2Resource"),

	/**
	 * 报名时的视频转换
	 */
	MATCH("MATCH", "convert2Resource"),

	/**
	 * 资源中心即时转换
	 */
	INSTANT_RESOURCE("INSTANT_RESOURCE", "convert2Resource"),

	/**
	 * 报名应用
	 */
	MATCH_APP("MATCH_APP", "convert2MatchApp"),

	/**
	 * 内容中心
	 */
	CONTENT("CONTENT", "convert2Content"),

	/**
	 * 内容中心->题库：文件记忆功能
	 */
	PRETEST_FILEMEMORY("PRETEST_FILEMEMORY", "convert2PretestFilememory"),

	/**
	 * 小游戏
	 */
	RAYSTASK("RAYSTASK", "convert2Raystask"),

	/**
	 * 圈子应用
	 */
	GROUP_APP("GROUP_APP", "convert2GroupApp"),

	/**
	 * 投票应用
	 */
	VOTE_APP("VOTE_APP", "convert2VoteApp"),

	/**
	 * 教育表格应用
	 */
	EF_APP("EF_APP", "convert2EfApp"),

	/**
	 * 测试工具
	 */
	TEST_APP("TEST_APP", "convert2TestApp"),

	/**
	 * 直播工具
	 */
	LIVE_APP("LIVE_APP","convert2LiveApp");

	/**
	 * 值
	 */
	public final String value;

	/**
	 * 模板名称
	 */
	public final String jmsTemplate;

	/**
	 * 构造
	 * 
	 * @param value
	 */
	private ConvertEnum(String value, String jmsTemplate) {
		this.value = value;
		this.jmsTemplate = jmsTemplate;
	}

}
